# $Revision: 1.72 $, $Date: 2010/08/16 06:15:47 $
# TODO
# revision 1.34
# - mpeg2dec.spec is obsoleted, port/find replacement?
#   date: 2009/07/14 19:46:33;  author: arekm;  state: dead;  lines: +4 -1;  kopt: kv;  commitid: 76ee4a5ce098bfaa;  filename: mpeg2dec.spec;
#    - obsolete by libmpeg2
#
# Conditional build:
%bcond_without	alsa	# build without ALSA support in SDLAudio
#
Summary:	MPEG4IP - system for encoding, streaming and playing MPEG-4 audio/video
Summary(pl.UTF-8):	MPEG4IP - system kodowania, streamingu i odtwarzania dźwięku i obrazu MPEG-4
Name:		mpeg4ip
Version:	1.6.1
Release:	14
Epoch:		1
License:	MPL v1.1 (original code) and other licenses (included libraries)
Group:		Applications
# official tarball corrupted
# Source0:	http://dl.sourceforge.net/mpeg4ip/%{name}-%{version}.tar.gz
Source0:	ftp://ftp.freebsd.org/pub/FreeBSD/ports/local-distfiles/ahze/%{name}-%{version}.tar.gz
# Source0-md5:	59e9d9cb7aad0a9605fb6015e7f0b197
Patch0:		%{name}-link.patch
Patch1:		%{name}-ac.patch
Patch2:		%{name}-gcc4.patch
Patch3:		%{name}-configure.patch
Patch4:		%{name}-audio_l16.cpp-typo.patch
Patch5:		%{name}-ffmpeg.patch
Patch6:		gcc44.patch
URL:		http://www.mpeg4ip.net/
BuildRequires:	SDL-devel
BuildRequires:	a52dec-libs-devel
%{?with_alsa:BuildRequires:	alsa-lib-devel >= 0.9.0}
BuildRequires:	autoconf
BuildRequires:	automake >= 1.4
BuildRequires:	faac-devel >= 1.20.1
BuildRequires:	ffmpeg-devel >= 0.4.9-3.20061204
BuildRequires:	gtk+2-devel >= 1:2.0.0
BuildRequires:	lame-libs-devel >= 3.92
BuildRequires:	libid3tag-devel
BuildRequires:	libmad-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	libvorbis-devel >= 1:1.0
BuildRequires:	libx264-devel
#BuildRequires:	mpeg2dec-devel
%ifarch %{ix86} %{x8664}
BuildRequires:	nasm >= 0.98.19
%endif
BuildRequires:	pkgconfig
BuildRequires:	srtp-devel >= 1.4.2
BuildRequires:	xvid-devel >= 1:1.0.0
BuildConflicts:	faad2 < 2.0-3
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fno-strict-aliasing -Wno-error -D__STDC_CONSTANT_MACROS

%description
The MPEG4IP project provides a standards-based system for encoding,
streaming, and playing MPEG-4 encoded audio and video. To achieve this
the developers integrated a number of existing open source packages,
and also created some original code to fill in the gaps.

%description -l pl.UTF-8
Projekt MPEG4IP udostępnia oparty na standardach system do kodowania,
streamingu i odtwarzania dźwięku i obrazu kodowanego MPEG-4. Aby to
osiągnąć, programiści zintegrowali wiele istniejących wolnodostępnych
pakietów oraz stworzyli trochę własnego kodu, aby wypełnić luki.

%package libs
Summary:	Base shared MPEG4IP libraries
Summary(pl.UTF-8):	Podstawowe biblioteki współdzielone MPEG4IP
Group:		Libraries

%description libs
Base shared MPEG4IP libraries.

%description libs -l pl.UTF-8
Podstawowe biblioteki współdzielone MPEG4IP.

%package devel
Summary:	Header files for base MPEG4IP libraries
Summary(pl.UTF-8):	Pliki nagłówkowe podstawowych bibliotek MPEG4IP
Group:		Development/Libraries
Requires:	%{name}-libs = %{epoch}:%{version}-%{release}
Requires:	libstdc++-devel

%description devel
Header files for base MPEG4IP libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe podstawowych bibliotek MPEG4IP.

%package static
Summary:	Static versions of base MPEG4IP libraries
Summary(pl.UTF-8):	Statyczne wersje podstawowych bibliotek MPEG4IP
Group:		Development/Libraries
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description static
Static versions of base MPEG4IP libraries.

%description static -l pl.UTF-8
Statyczne wersje podstawowych bibliotek MPEG4IP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
cd lib/SDLAudio
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
cd ../..
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
install -d config
touch bootstrapped
%configure \
	%{!?with_alsa:--disable-alsa} \
	--enable-ffmpeg=%{_includedir} \
	--enable-ipv6

%{__make} \
	CCAS="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT

# workaround for:
# libtool: install: warning: relinking `libmp4av.la'
#   ...  /usr/bin/ld: cannot find -lmp4v2
%{__make} -C lib/mp4v2 install \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install server/util/mp4encode/mp4encode $RPM_BUILD_ROOT%{_bindir}

rm -f $RPM_BUILD_ROOT%{_libdir}/mp4player_plugin/*.{a,la}
# bogus manual
rm -rf $RPM_BUILD_ROOT%{_mandir}/manm

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog encoding60.dsw FEATURES.html index.html README* NEWS TODO
%doc doc/{*.pdf,*.txt,*.html,*.jpg} doc/ietf/rfc*.txt doc/mcast/{mcast.txt,*_example}
%attr(755,root,root) %{_bindir}/avi2raw
%attr(755,root,root) %{_bindir}/avidump
%attr(755,root,root) %{_bindir}/gmp4player
%attr(755,root,root) %{_bindir}/h264_parse
%attr(755,root,root) %{_bindir}/lboxcrop
%attr(755,root,root) %{_bindir}/mp4art
%attr(755,root,root) %{_bindir}/mp4creator
%attr(755,root,root) %{_bindir}/mp4dump
%attr(755,root,root) %{_bindir}/mp4encode
%attr(755,root,root) %{_bindir}/mp4extract
%attr(755,root,root) %{_bindir}/mp4info
%attr(755,root,root) %{_bindir}/mp4live
%attr(755,root,root) %{_bindir}/mp4player
%attr(755,root,root) %{_bindir}/mp4tags
%attr(755,root,root) %{_bindir}/mp4trackdump
%attr(755,root,root) %{_bindir}/mp4videoinfo
%attr(755,root,root) %{_bindir}/mpeg2t_dump
%attr(755,root,root) %{_bindir}/mpeg2video_parse
%attr(755,root,root) %{_bindir}/mpeg4vol
%attr(755,root,root) %{_bindir}/mpeg_ps_extract
%attr(755,root,root) %{_bindir}/mpeg_ps_info
%attr(755,root,root) %{_bindir}/rgb2yuv
%attr(755,root,root) %{_bindir}/sdl_pcm_play
%attr(755,root,root) %{_bindir}/yuvdump
%dir %{_libdir}/mp4player_plugin
%attr(755,root,root) %{_libdir}/mp4player_plugin/*.so*
%{_mandir}/man1/gmp4player.1*
%{_mandir}/man1/mp4creator.1*
%{_mandir}/man1/mp4encode.1*
%{_mandir}/man1/mp4live.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libhttp.so.*.*.*
%attr(755,root,root) %{_libdir}/libismacryp.so.*.*.*
%attr(755,root,root) %{_libdir}/libmp4*.so.*.*.*
%attr(755,root,root) %{_libdir}/libmpeg4ip*.so.*.*.*
%attr(755,root,root) %{_libdir}/libmsg_queue.so.*.*.*
%attr(755,root,root) %{_libdir}/libsdp.so.*.*.*
%attr(755,root,root) %{_libdir}/libsrtpif.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libhttp.so.0
%attr(755,root,root) %ghost %{_libdir}/libismacryp.so.0
%attr(755,root,root) %ghost %{_libdir}/libmp4*.so.0
%attr(755,root,root) %ghost %{_libdir}/libmpeg4ip*.so.0
%attr(755,root,root) %ghost %{_libdir}/libmsg_queue.so.0
%attr(755,root,root) %ghost %{_libdir}/libsdp.so.0
%attr(755,root,root) %ghost %{_libdir}/libsrtpif.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/mpeg4ip-config
%attr(755,root,root) %{_libdir}/libhttp.so
%attr(755,root,root) %{_libdir}/libismacryp.so
%attr(755,root,root) %{_libdir}/libmp4*.so
%attr(755,root,root) %{_libdir}/libmpeg4ip*.so
%attr(755,root,root) %{_libdir}/libmsg_queue.so
%attr(755,root,root) %{_libdir}/libsdp.so
%attr(755,root,root) %{_libdir}/libsrtpif.so
%{_libdir}/libhttp.la
%{_libdir}/libismacryp.la
%{_libdir}/libmp4*.la
%{_libdir}/libmpeg4ip*.la
%{_libdir}/libmsg_queue.la
%{_libdir}/libsdp.la
%{_libdir}/libsrtpif.la
%{_includedir}/codec_plugin.h
%{_includedir}/h264_sdp.h
%{_includedir}/mp4.h
%{_includedir}/mp4av*.h
%{_includedir}/mpeg4_*.h
%{_includedir}/mpeg4ip*.h
%{_includedir}/rtp_plugin.h
%{_includedir}/sdp*.h
%{_includedir}/text_plugin.h
%{_mandir}/man3/MP4*.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libhttp.a
%{_libdir}/libismacryp.a
%{_libdir}/libmp4*.a
%{_libdir}/libmpeg4ip*.a
%{_libdir}/libmsg_queue.a
%{_libdir}/libsdp.a
%{_libdir}/libsrtpif.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mpeg4ip.spec,v $
Revision 1.72  2010/08/16 06:15:47  arekm
- release 14

Revision 1.71  2010/07/16 06:18:37  arekm
- rel 13; build fixed

Revision 1.70  2010/06/29 16:33:54  sls
- compilation fix

Revision 1.69  2010/06/18 07:00:19  arekm
- release 12

Revision 1.68  2010/06/04 16:48:31  baggins
- rel 11

Revision 1.67  2010/06/03 00:17:09  baggins
- rel 10
- esound is dead

Revision 1.66  2010/03/25 20:54:57  pluto
- rebuild libmpeg4ipSDL w/o arts deps, release 9.

Revision 1.65  2009/11/19 22:21:51  arekm
- release 8

Revision 1.64  2009/08/25 17:09:54  glen
- gcc44.patch, build without (obsolete mpeg2dec); rel 7

Revision 1.63  2009/06/11 22:05:26  marcus
- added BR artsc-devel

Revision 1.62  2008/11/09 17:09:57  arekm
- release 6

Revision 1.61  2008/10/25 21:30:22  arekm
- release 5

Revision 1.60  2008/10/10 21:12:36  duddits
- rel. 4
- ffmpeg.patch updated to work with ffmpeg >= 080930

Revision 1.59  2008/10/06 06:34:08  hawk
- release 3

Revision 1.58  2008/08/26 17:55:58  pluto
- fix build with recent ffmpeg, release 2.

Revision 1.57  2008-05-25 18:46:26  arekm
- up to 1.6.1

Revision 1.56  2008-05-03 16:06:58  glen
- install mp4encode

Revision 1.55  2008-02-04 20:16:58  qboosh
- reverted false libatomic_ops BR

Revision 1.54  2008-02-03 17:31:03  arekm
- rel 3

Revision 1.53  2008-02-03 14:55:16  paszczus
- added BR: libatomic_ops

Revision 1.52  2008-01-08 15:06:02  tommat
- added mpeg4ip-audio_l16.cpp-typo.patch

Revision 1.51  2007-11-18 18:04:54  arekm
- rel 2

Revision 1.50  2007-11-04 12:40:55  qboosh
- am version

Revision 1.49  2007/11/04 10:18:12  qboosh
- updated to 1.6 (1.6.1 tarball is corrupted)
- updated link,gcc4 patches, removed obsolete types,x,x264 patches
- added configure patch

Revision 1.48  2007/10/28 14:10:08  sls
- reverted last commit (tar: This does not look like a tar archive - WTF?)

Revision 1.46  2007/04/18 09:42:36  pluto
- rebuild to fix libstdc++ implementation change (_ZNSo9_M_insertEPKcl).
- release 4.

Revision 1.45  2007/02/13 07:16:48  glen
- tabs in preamble

Revision 1.44  2007/02/12 00:49:08  baggins
- converted to UTF-8

Revision 1.43  2006/12/13 14:04:24  glen
- rel 3

Revision 1.42  2006/12/13 12:09:33  pluto
- th ready build.

Revision 1.41  2006/12/09 15:07:25  glen
- add -x264.patch to compile with libx264-0.1.2-1.20061024_2245, BR not updated
  as patch backwards compatible
- rel 2

Revision 1.40  2006/07/21 21:52:04  qboosh
- updated to 1.5.0.1
- updated link patch, removed obsolete gcc4 patch, added x patch

Revision 1.39  2006/03/15 12:38:13  pluto
- ffmpeg soname changed. release 3 for rebuild.

Revision 1.38  2006/01/01 10:14:27  charles
- BR nasm only for %{ix86} %{x8664} (flag -DUSE_MMX)

Revision 1.37  2006/01/01 10:06:45  charles
- more BRs

Revision 1.36  2005/12/30 09:18:01  pluto
- workaround for install bug (builds in Th env).

Revision 1.35  2005/12/30 08:07:19  pluto
- use -fno-strict-aliasing to avoid wrong-code.
- install fixed.

Revision 1.34  2005/12/01 17:16:03  pluto
- gcc4 fix, builds but install in pure Th env. fails.
  (libtool: install: warning: relinking `libmp4av.la'
   ...  /usr/bin/ld: cannot find -lmp4v2)

Revision 1.33  2005/11/19 18:55:39  qboosh
- updated to 1.4.1, updated link patch

Revision 1.32  2005/05/22 15:53:53  qboosh
- cleanup

Revision 1.31  2005/05/22 15:12:49  qboosh
- updated to 1.3, updated link patch, removed obsolete gtk patch

Revision 1.30  2005/05/15 00:05:45  freetz
- allow build with gcc 3.4 (and propably 4.0 too)

Revision 1.29  2005/01/09 16:02:23  qboosh
- BR: ffmpeg-devel for deterministic builds; 0.4.9(-pre1) seems needed at least

Revision 1.28  2004/12/04 22:40:45  qboosh
- updated to 1.2, updated link,gtk patches, removed obsolete gcc34,abort patches

Revision 1.27  2004/11/27 18:52:08  saq
- massive attack: add missing gtk+2-devel epoch in BR

Revision 1.26  2004/10/24 12:13:40  paladine
- spelling fix

Revision 1.25  2004/10/23 21:10:01  qboosh
- updated link patch, added bcond_without alsa, release 1

Revision 1.24  2004/10/21 23:16:56  qboosh
- some linking todos

Revision 1.23  2004/10/21 23:05:46  qboosh
- revised old patches
- BR: alsa-lib-devel (for internal SDLAudio lib)

Revision 1.22  2004/10/18 20:50:36  qboosh
- NOT finished (patches not updated) - release 0.1

Revision 1.21  2004/10/18 04:59:00  mguevara
- update to 1.1
- patches disabled - TODO check them
- mpeg4ip-abotr.patch added
- BR libid3tag added

Revision 1.20  2004/09/09 22:33:59  wrobell
- kill gtk+-devel build requirement
- rel. 5

Revision 1.19  2004/07/17 13:48:20  pluto
- BR(gtk+-devel) added.

Revision 1.18  2004/06/30 17:52:17  grzegol
- added gcc34 patch

Revision 1.17  2004/02/25 14:21:40  qboosh
- more types fixes - OK on sparc now; release 4

Revision 1.16  2004/02/25 09:13:35  qboosh
- ufff... after much more types and pic fixes builds on amd64 at last; release 3

Revision 1.15  2004/02/11 12:21:35  qboosh
- added libsdp patch, rename libsdp to libmpeg4ip_sdp (to avoid conflict with bluez-sdp)
- added fmt,types,pic patches (fixing alpha build)
- rebuild ac/am in lib/rtp (for amd64)
- release 2

Revision 1.14  2004/02/11 07:29:27  ankry
- spaces -> tabs

Revision 1.13  2004/02/10 23:45:49  qboosh
- eeh, release 1 - it never was in better state

Revision 1.12  2004/02/10 22:39:58  qboosh
- updated to 1.0 (epoch 1 :/)
- added link and xvid1 patches

Revision 1.11  2004/02/09 20:54:52  qboosh
- fixed URL, simplified Source0 URL

Revision 1.10  2003/12/03 16:52:11  wiget
- start updating to 1.0RC3

Revision 1.9  2003/11/22 12:21:36  adasi
- 1.0rc1
- NFY

Revision 1.8  2003/08/18 08:08:21  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/07/24 19:36:17  qboosh
- up to 0.9.9, updated lt-tag-cxx and system-SDL patches
- added gcc patch (some new warnings eliminated - needed due to -Werror)

Revision 1.6  2003/05/28 12:59:47  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:50:49  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/04/17 22:07:57  qboosh
- ldconfig moved to -libs
- libtool fixes, added two lt-tag patches

Revision 1.3  2003/04/16 22:22:46  qboosh
- updated to 0.9.8
- separated libraries
- forced to use system SDL, (unsuccessful) tries to use system xvid and rtp

Revision 1.2  2003/01/10 14:03:59  adasi
- still not finished

Revision 1.1  2003/01/08 15:54:33  adasi
- first spec release, NFY
